Struktur
curl --request GET \
--url https://api.fyvel.io/v1/reports/{reportId} \
--header 'Authorization: <authorization>'import requests
url = "https://api.fyvel.io/v1/reports/{reportId}"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.fyvel.io/v1/reports/{reportId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fyvel.io/v1/reports/{reportId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fyvel.io/v1/reports/{reportId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<authorization>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fyvel.io/v1/reports/{reportId}")
.header("Authorization", "<authorization>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fyvel.io/v1/reports/{reportId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<authorization>'
response = http.request(request)
puts response.read_body{
"reportId": "66666666-6666-4666-8666-666666666666",
"name": "GuV",
"rows": [
{
"rowId": "77777777-7777-4777-8777-777777777777",
"name": "Umsatz",
"type": "data",
"order": 1
},
{
"rowId": "88888888-8888-4888-8888-888888888888",
"name": "Rohertrag",
"type": "calculated",
"order": 2
}
]
}
Berichte
Struktur
Zeilen eines Berichts in Berichtsreihenfolge.
GET
/
v1
/
reports
/
{reportId}
Struktur
curl --request GET \
--url https://api.fyvel.io/v1/reports/{reportId} \
--header 'Authorization: <authorization>'import requests
url = "https://api.fyvel.io/v1/reports/{reportId}"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.fyvel.io/v1/reports/{reportId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fyvel.io/v1/reports/{reportId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fyvel.io/v1/reports/{reportId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<authorization>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fyvel.io/v1/reports/{reportId}")
.header("Authorization", "<authorization>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fyvel.io/v1/reports/{reportId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<authorization>'
response = http.request(request)
puts response.read_body{
"reportId": "66666666-6666-4666-8666-666666666666",
"name": "GuV",
"rows": [
{
"rowId": "77777777-7777-4777-8777-777777777777",
"name": "Umsatz",
"type": "data",
"order": 1
},
{
"rowId": "88888888-8888-4888-8888-888888888888",
"name": "Rohertrag",
"type": "calculated",
"order": 2
}
]
}
{
"reportId": "66666666-6666-4666-8666-666666666666",
"name": "GuV",
"rows": [
{
"rowId": "77777777-7777-4777-8777-777777777777",
"name": "Umsatz",
"type": "data",
"order": 1
},
{
"rowId": "88888888-8888-4888-8888-888888888888",
"name": "Rohertrag",
"type": "calculated",
"order": 2
}
]
}
Bearer und der API-Schlüssel. Siehe Authentifizierung.Path parameters
Berichts-ID aus Berichte.
Response
Jede Zeile, in der Reihenfolge des Berichts.
ID, über die du die Werte an die Zeile hängst.
data, calculated, constant, header oder spacer. Formeln und Formatierung bleiben in Fyvel.REPORT_NOT_FOUND.